import Vue from "vue";
import Vuex from "vuex";
import { keepAliveRoutesPairs } from "@/constants/enumerate";

Vue.use(Vuex);

export default new Vuex.Store({
  state: {
    user: {},
    keepAliveRoutes: keepAliveRoutesPairs.map((v) => v[0]),
  },
  mutations: {
    setUser(state, user) {
      state.user = user;
    },
    setEmptyKeepAliveRoutes(state) {
      state.keepAliveRoutes = [];
    },
    setRestoreKeepAliveRoutes(state) {
      state.keepAliveRoutes = keepAliveRoutesPairs.map((v) => v[0]);
    },
  },
  actions: {},
  modules: {},
});
